import { world, system } from '@minecraft/server';
import {
  ActionFormData,
  MessageFormData,
  ModalFormData
} from "@minecraft/server-ui";

world.beforeEvents.chatSend.subscribe((eventData) => {
	const player = eventData.sender;
	switch (eventData.message) {
		case '?help':
			eventData.cancel = true;
			player.runCommandAsync('function help');
			break;
		case '?cb':
			eventData.cancel = true;
			player.runCommandAsync('give @s command_block');
			break;
		case '?s':
			eventData.cancel = true;
			player.runCommandAsync('gamemode s @p');
			break;
		case '?c':
			eventData.cancel = true;
			player.runCommandAsync('gamemode c @p');
			break;
		case '?spec':
			eventData.cancel = true;
			player.runCommandAsync('gamemode spectator @p');
			break;
		case '?cbop t':
			eventData.cancel = true;
			player.runCommandAsync('function cbop_t');
			break;
		case '?cbop f':
			eventData.cancel = true;
			player.runCommandAsync('function cbop_f');
			break;
		case '?scfb f':
			eventData.cancel = true;
			player.runCommandAsync('function scfb_f');
			break;
		case '?scfb t':
			eventData.cancel = true;
			player.runCommandAsync('function scfb_t');
			break;
		default: break;
	}
});
